/* xrwinfo.c
 * 
 * David Barnes, September 2011
 *
 * Distributed as part of the S2PLOT library.
 *
 * ==================================================================
 * S2PLOT is freely available for non-commercial and educational use,
 * however, it is not public-domain software. The programming library
 * and documentation may not be redistributed or sub-licensed in any
 * form without permission from Swinburne University of
 * Technology. The programming library and sample codes are provided
 * without warranty.
 *
 * We would appreciate it if research outcomes using S2PLOT would
 * provide the following acknowledgement:
 *
 * "Three-dimensional visualisation was conducted with the S2PLOT
 * progamming library"
 *
 * and a reference to
 *
 * D.G.Barnes, C.J.Fluke, P.D.Bourke & O.T.Parry, 2006, Publications
 * of the Astronomical Society of Australia, 23(2), 82-93.
 *
 * S2PLOT development was funded through the Researcher Developer
 * Grant Scheme at Swinburne University of Technology.
 * ==================================================================
 *
 * $Id:$
 *
 */

#include <stdio.h>
#include <stdlib.h>
#include <math.h>

#include "libxrw.c"

int main(int argc, char **argv) {
  if (argc != 2) {
    fprintf(stderr, "usage: %s xrwfilename\n", argv[0]);
    return -1;
  }

  XRAW_STRUCT *xr = loadXraw(argv[1]);
  if (!xr) {
    fprintf(stderr, "Failed to open or read '%s'\n", argv[1]);
    return -1;
  }

  showXraw(xr);

  free(xr->data);
  free(xr);

  return 0;
}
